<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

include_once(FBP_DIR.'/include/common.inc.php');
include_once(FBP_DIR.'/include/header.inc.php');

/*function fbp_loc_begin_index()
{
  global $template;

  $template->set_filename('social.plugin.like.box', FBP_DIR.'/tpl/social.plugin.like.box.tpl');
  
  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEFORE', 'social.plugin.like.box');
  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEGIN', 'social.plugin.like.box');
  $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_END', 'social.plugin.like.box');
  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_AFTER', 'social.plugin.like.box');

  //~ $template->set_filename('social.plugin.like.box', FBP_DIR.'/tpl/social.plugin.like.box.tpl');
    //~ $content .= $template->parse('social.plugin.like.box', true);
}*/

function fbp_blockmanager_register_blocks( $menu_ref_arr )
{
  $menu = & $menu_ref_arr[0];
  if ($menu->get_id() != 'menubar')
    return;
  $menu->register_block( new RegisteredBlock( 'mbFBP', 'social.plugin.like.box', 'FacebookPlug'));
}

function fpt_blockmanager_apply($menu_ref_arr)
{
  global $template;

  $menu = & $menu_ref_arr[0];
   
  if ($block = $menu->get_block('mbFBP'))
  {
    $template->set_template_dir(FBP_DIR.'/tpl/');
    $block->template = 'social.plugin.like.box.tpl';
  }
}


if ($conf['fbp']['social_plugin_like_box']['enabled'])
{
  //~ add_event_handler('loc_begin_index', 'fbp_loc_begin_index');
  add_event_handler('blockmanager_register_blocks', 'fbp_blockmanager_register_blocks', EVENT_HANDLER_PRIORITY_NEUTRAL);
  add_event_handler('blockmanager_apply', 'fpt_blockmanager_apply');
}

?>
